<template>
  <Container class="!p-0 mt-2">
    <v-timeline
      class="[&_.v-timeline-divider\_\_dot]:mt-[8px] py-8"
      density="comfortable"
      align="start"
      side="end"
      dot-color="grey"
      size="20"
      truncate-line="both"
      fill-dot
      hide-opposite
    >
      <v-timeline-item
        v-for="n in 7"
        :key="n"
        width="100%"
        side="end"
        class="[&_.v-timeline-item\_\_body]:!px-6"
      >
        <section class="flex pb-8 mt-1">
          <section class="flex-auto">
            <section class="block md:flex items-center gap-4">
              <v-skeleton-loader
                width="70%"
                height="22"
              />

              <v-skeleton-loader
                class="rounded-full mt-2 md:mt-0"
                width="128"
                height="24"
              />
            </section>

            <v-skeleton-loader
              class="mt-4"
              width="45%"
              height="22"
            />

            <v-skeleton-loader
              class="mt-2"
              width="30%"
              height="22"
            />
          </section>
        </section>

        <v-divider
          thickness="1"
          class="border-gray-800"
        />
      </v-timeline-item>
    </v-timeline>
  </Container>
</template>

<script setup lang="ts">
import Container from '@/components/layout/Container.vue';
</script>